import { AdaptableApi, AdaptableFlashingCell } from '../../types';
import { TypeUuid } from '../../AdaptableState/Uuid';
import { IAdaptableService } from './Interface/IAdaptableService';
export declare const FLASHING_CELL_ROW_KEY = "__ROW";
/**
 * This service manages Flashing Cells
 */
export declare class FlashingCellService implements IAdaptableService {
    private api;
    gridCellsCurrentlyFlashing: Record<string, Record<string, TypeUuid>>;
    flashingCellsMapping: Record<TypeUuid, AdaptableFlashingCell>;
    constructor(api: AdaptableApi);
    destroy(): void;
    addGridCellFlash(flashingCell: AdaptableFlashingCell): void;
    clearGridCellFlash(flashingCell: AdaptableFlashingCell): void;
    clearAllGridCellFlashes(): void;
    isAnyFlashingCellActive(): boolean;
    private refreshGridCells;
}
